summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Andrew Psaltis <ampsaltis@gmail.com>2010-05-11 22:55:13 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:55:13 +0200
commit01c5a6263c5ade57ed671a1e857ccdfe1dce02f3 (patch)
tree5ed6fcbb3de0cf9f71ec5e3568b664d3ae775116 /system
parent9ecea32e5ff87919b95d0ca9660fd8f06413bfc9 (diff)
downloadslackbuilds-01c5a6263c5ade57ed671a1e857ccdfe1dce02f3.tar.gz
slackbuilds-01c5a6263c5ade57ed671a1e857ccdfe1dce02f3.tar.xz
system/ccid: Added to 12.1 repository
Diffstat (limited to 'system')
-rw-r--r--system/ccid/README12
-rw-r--r--system/ccid/ccid.SlackBuild103
-rw-r--r--system/ccid/ccid.info8
-rw-r--r--system/ccid/slack-desc19
4 files changed, 142 insertions, 0 deletions
diff --git a/system/ccid/README b/system/ccid/README
new file mode 100644
index 0000000000..2b96bba97c
--- /dev/null
+++ b/system/ccid/README
@@ -0,0 +1,12 @@
+libccid provides a PC/SC IFD handler implementation for the USB smart card
+drivers compliant to the Chip Card Interface Device (CCID) protocol.
+
+This package is needed to communicate with the CCID smartcard readers
+through the PC/SC Lite resource manager (pcscd). It also supports various
+Gemplus serial smart card readers.
+
+This package depends on pcsc-lite, which can be found at SlackBuilds.org.
+
+You will need to edit the pcsc-lite config files to be able to use serial
+smart card readers. The INSTALL file in the documentation directory has
+all the details.
diff --git a/system/ccid/ccid.SlackBuild b/system/ccid/ccid.SlackBuild
new file mode 100644
index 0000000000..bcd7259535
--- /dev/null
+++ b/system/ccid/ccid.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for ccid
+
+# Copyright 2008 Andrew Psaltis <ampsaltis@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+# 11 August 2008 -- Updated to version 1.3.8 (by Andrew Psaltis)
+
+PRGNAM=ccid
+VERSION=1.3.8
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG $TMP/$PRGNAM-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root.root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-udev \
+ --enable-twinserial \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# This file gets clobbered every time rc.pcscd is run, so we might as well
+# get rid of it
+rm $PKG/etc/reader.conf
+
+# Install the udev rules since this is not done automatically.
+mkdir -p $PKG/etc/udev/rules.d
+cat src/pcscd_ccid.rules > $PKG/etc/udev/rules.d/60-pcscd-ccid.rules
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
+ for i in $(find $PKG/usr/man -type l -name "*.?") ; do
+ ln -s $( readlink $i ).gz $i.gz ; rm $i
+ done
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-${BUILD}$TAG.tgz
+
diff --git a/system/ccid/ccid.info b/system/ccid/ccid.info
new file mode 100644
index 0000000000..a8c8dd13b5
--- /dev/null
+++ b/system/ccid/ccid.info
@@ -0,0 +1,8 @@
+PRGNAM="ccid"
+VERSION="1.3.8"
+HOMEPAGE="http://pcsclite.alioth.debian.org/ccid.html"
+DOWNLOAD="https://alioth.debian.org/frs/download.php/2482/ccid-1.3.8.tar.bz2"
+MD5SUM="ebb5fc927d73cd63737a9114481e8957"
+MAINTAINER="Andrew Psaltis"
+EMAIL="ampsaltis@gmail.com"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/system/ccid/slack-desc b/system/ccid/slack-desc
new file mode 100644
index 0000000000..43be9c6890
--- /dev/null
+++ b/system/ccid/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ccid: ccid (PC/SC driver for USB CCID smart card readers)
+ccid:
+ccid: libccid provides a PC/SC IFD handler implementation for the USB smart
+ccid: card drivers compliant to the Card Chip Interface Device (CCID)
+ccid: protocol.
+ccid: This package is needed to communicate with the CCID smartcard readers
+ccid: through the PC/SC Lite resource manager (pcscd). It also supports
+ccid: the GemPC Twin via serial port, and the GemPC PCMCIA and PCI-Express
+ccid: cards.
+ccid:
+ccid: More info at: http://pcsclite.alioth.debian.org/ccid.html